[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [CONTRIBUTE] [DONATE]

Build Script Errors

Hello guys ! :slight_smile:
I have troubles to install the Whonix Gateway on my Mini PC.
I followed the guide and executed the build script.
But analyzing that log-physio log file is a real pain and I dont know what to do.

Can someone please help ? :slight_smile:

Command:

sudo ./whonix_build --flavor whonix-gateway-xfce --target root --build >> ~/log-phyiso 2>&1

Log File Error:

last_failed_bash_command: SOURCE_DATE_EPOCH="$(dpkg-parsechangelog -STimestamp)"
############################################################

INFO: No auto retry for non ERR signal type: NONE_(called_because_int_or_term)
INFO: stdin not connected to terminal, using non-interactive error handler.
INFO: Now exiting from ././build-steps.d/1100_sanity-tests (because error was detected, see above) with exit code 1.

Complete Log File is here:
pastebin.com/keCeRX73

I aborted it and tried to re run.
The 2nd run I used no log file and build progress will then appeared on screen.
First error was a info or question, please see the first attache pic.
The second picture is the STimestamp error again.

UWT_DEV_PASSTHROUGH=“1” and

dpkg-parcechangelog: command not found

Pic1:
imgur.com/7cteTG4

Pic 2:
imgur.com/yo4JRB0

You probably forgot to apply this step: https://www.whonix.org/wiki/Dev/Build_Documentation/Physical_Isolation#Host_Preparation

Thanks !
I did these steps,
but now I got other error, I took a pic of the log, can you check it ? :slight_smile:

It said:

git reports a untagged commit !

Here is the foto:

ibb.co/cFTgLSs

So here is the complete log:
Do I need to set untagged true ?

user@host:~/Whonix_Install/Whonix/Whonix$ sudo ./whonix_build --flavor whonix-gateway-cli --target root --build
+ set -e
+ true 'INFO: Currently running script: ./whonix_build --flavor' whonix-gateway-cli --target root --build
+++ dirname ./whonix_build
++ cd .
++ pwd
+ MYDIR=/home/user/Whonix_Install/Whonix/Whonix
+ cd /home/user/Whonix_Install/Whonix/Whonix
+ source ./help-steps/pre
++ '[' '!' '' = true ']'
++ set +x
+ source ./help-steps/colors
++ '[' '!' '' = true ']'
++ colors
++ '[' xterm = '' ']'
++ [[ -t 2 ]]
++ export whonix_build_already_defined_colors=true
++ whonix_build_already_defined_colors=true
+ trap error_handler_whonix_build_one ERR
+ export WHONIX_BUILD_ONE_SCRIPT_STARTED=1
+ WHONIX_BUILD_ONE_SCRIPT_STARTED=1
+ main --flavor whonix-gateway-cli --target root --build
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ args='--flavor whonix-gateway-cli --target root --build'
+ whonix_build_preparation --flavor whonix-gateway-cli --target root --build
+ cd help-steps
+ source parse-cmd
+ whonix_build_one_parse_cmd --flavor whonix-gateway-cli --target root --build
+ '[' '!' '' = 1 ']'
+ '[' '--flavor whonix-gateway-cli --target root --build' = '' ']'
+ local build_machines_counter=0
+ local build_target_counter=0
+ :
+ case $1 in
+ true 'INFO: --flavor whonix-gateway-cli chosen.'
+ WHONIX_BUILD_FLAVOR=whonix-gateway-cli
+ export WHONIX_BUILD_FLAVOR
+ '[' whonix-gateway-cli = whonix-gateway-xfce ']'
+ '[' whonix-gateway-cli = whonix-gateway-rpi ']'
+ '[' whonix-gateway-cli = whonix-gateway-cli ']'
+ build_machines_counter=1
+ shift 2
+ :
+ case $1 in
+ true 'INFO: --target root chosen.'
+ '[' root = virtualbox ']'
+ '[' root = root ']'
+ build_target_counter=1
+ export ANON_BUILD_INSTALL_TO_ROOT=1
+ ANON_BUILD_INSTALL_TO_ROOT=1
+ shift 2
+ :
+ case $1 in
+ export WHONIX_BUILD_BUILD=1
+ WHONIX_BUILD_BUILD=1
+ shift
+ :
+ case $1 in
+ '[' '' = '' ']'
+ true
+ break
+ '[' -n '' ']'
+ BUILD_INITRAMFS_PKGS=initramfs-tools
+ '[' '' = i386 ']'
+ '[' '' = arm64 ']'
+ '[' -n '' ']'
+ BUILD_TARGET_ARCH=amd64
+ '[' -n '' ']'
+ BUILD_KERNEL_PKGS=linux-image-amd64
+ '[' -n '' ']'
+ BUILD_HEADER_PKGS=linux-headers-amd64
+ '[' -n '' ']'
+ target_architecture_pretty_name=Intel_AMD64
+ export BUILD_INITRAMFS_PKGS
+ export BUILD_TARGET_ARCH
+ export BUILD_KERNEL_PKGS
+ export BUILD_HEADER_PKGS
+ export target_architecture_pretty_name
+ echo 'INFO: BUILD_INITRAMFS_PKGS (--initramfs): initramfs-tools'
INFO: BUILD_INITRAMFS_PKGS (--initramfs): initramfs-tools
+ echo 'INFO: BUILD_TARGET_ARCH         (--arch): amd64'
INFO: BUILD_TARGET_ARCH         (--arch): amd64
+ echo 'INFO: BUILD_KERNEL_PKGS       (--kernel): linux-image-amd64'
INFO: BUILD_KERNEL_PKGS       (--kernel): linux-image-amd64
+ echo 'INFO: BUILD_HEADER_PKGS      (--headers): linux-headers-amd64'
INFO: BUILD_HEADER_PKGS      (--headers): linux-headers-amd64
+ '[' '' = '' ']'
+ echo 'INFO: No --connection type '\''clearnet'\'' or '\''onion'\'' has been chosen. Defaulting whonix_build_sources_clearnet_or_onion to clearnet.
(Alternative value would be '\''onion'\''.)'
INFO: No --connection type 'clearnet' or 'onion' has been chosen. Defaulting whonix_build_sources_clearnet_or_onion to clearnet.
(Alternative value would be 'onion'.)
+ export whonix_build_sources_clearnet_or_onion=clearnet
+ whonix_build_sources_clearnet_or_onion=clearnet
+ '[' '!' '' = 1 ']'
+ '[' '!' 1 = 1 ']'
+ '[' 1 -gt 1 ']'
+ '[' 1 -le 0 ']'
+ '[' 1 = 1 ']'
+ true
+ '[' 1 = 1 ']'
+ '[' 1 -gt 1 ']'
+ export whonix_build_one_parsed=1
+ whonix_build_one_parsed=1
+ cd ..
+ trap error_handler_whonix_build_one ERR
+ trap - INT
+ trap - TERM
+ '[' '' = 1 ']'
+ '[' 1 = 1 ']'
+ whonix_build_machine
+ run-parts --verbose --test ./build-steps.d
./build-steps.d/1100_sanity-tests
./build-steps.d/1120_prepare-build-machine
./build-steps.d/1130_cowbuilder-setup
./build-steps.d/1150_export-libvirt-xml
./build-steps.d/1200_create-debian-packages
./build-steps.d/1300_create-raw-image
./build-steps.d/1700_install-packages
./build-steps.d/1800_copy_vms_into_raw
./build-steps.d/2300_run-chroot-scripts-post-d
./build-steps.d/2350_zerofree-raw
./build-steps.d/2375_build-arm64-fs
./build-steps.d/2376_export-utm-packages
./build-steps.d/2400_convert-raw-to-qcow2
./build-steps.d/2500_convert-raw-to-vdi
./build-steps.d/2550_convert-raw-to-iso
./build-steps.d/2600_create-vbox-vm
./build-steps.d/2700_create-vm-text
./build-steps.d/2800_create-report
+ for whonix_build_one_build_step_current in ./build-steps.d/*
+ '[' -x ./build-steps.d/1100_sanity-tests ']'
+ '[' s = '~' ']'
+ echo ./build-steps.d/1100_sanity-tests
+ grep -q .dpkg-
+ true '############################################################'
+ true '############################################################'
+ true '############################################################'
+ true 'INFO: BEGIN: whonix_build_one_build_step_current: ./build-steps.d/1100_sanity-tests'
+ ././build-steps.d/1100_sanity-tests
+ set -e
+ true 'INFO: Currently running script: ././build-steps.d/1100_sanity-tests '
+++ dirname ././build-steps.d/1100_sanity-tests
++ cd ././build-steps.d
++ pwd
+ MYDIR=/home/user/Whonix_Install/Whonix/Whonix/build-steps.d
+ cd /home/user/Whonix_Install/Whonix/Whonix/build-steps.d
+ cd ..
+ cd help-steps
+ source pre
++ '[' '!' '' = true ']'
++ set +x
+ source colors
++ '[' '!' true = true ']'
+ source variables
++ '[' '!' '' = true ']'
++ set +x
INFO: Setting... export UWT_DEV_PASSTHROUGH="1"
INFO: Variable dist_build_version was unset. Auto detected. Set to: 16.0.4.2-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
++ true 'INFO: Currently running script: ././build-steps.d/1100_sanity-tests '
++ true 'INFO: LD_PRELOAD: '
+ cd /home/user/Whonix_Install/Whonix/Whonix/help-steps
+ cd ..
+ main
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ check-source-folder-permissions
+ true 'INFO: PWD: /home/user/Whonix_Install/Whonix/Whonix '
++ stat -c %U ././build-steps.d/1100_sanity-tests
+ stat_output_owner=user
++ stat -c %G ././build-steps.d/1100_sanity-tests
+ stat_output_group=user
+ '[' user = root ']'
+ '[' user = root ']'
+ check-copy-vms-into-raw
+ '[' '' = 1 ']'
+ '[' gateway = kicksecure ']'
+ '[' '!' '' = true ']'
+ return 0
+ check-virtualbox-vm-exists
+ '[' '' = 1 ']'
+ '[' '!' '' = true ']'
+ return 0
+ check_required_packages_installed
+ local required_packages_list required_package_item
+ local 'required_packages_list=git time curl apt-cacher-ng lsb-release fakeroot fasttrack-archive-keyring'
+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' git
1:2.30.2-1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' time
1.9-0.1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' curl
7.74.0-1.3+deb11u1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' apt-cacher-ng
3.6.4-1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' lsb-release
11.1.0+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' fakeroot
1.25.3-1.1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' fasttrack-archive-keyring
2020.12.19+ signing_key
+ true 'INFO: GPG_AGENT_INFO: '
+ '[' false = false ']'
+ true
+ source /home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test
++ [[ /home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test != \.\/\.\/\b\u\i\l\d\-\s\t\e\p\s\.\d\/\1\1\0\0\_\s\a\n\i\t\y\-\t\e\s\t\s ]]
++ script_was_sourced=true
++ '[' true = false ']'
++ '[' true = false ']'
+ git_sanity_test_main
+ git_sanity_test_parse_cmd
+ true 'INFO: git_sanity_test_parse_cmd | args: '
+ :
+ case $1 in
+ break
+ git_sanity_test_check_for_untagged_commits
++ git describe --always --abbrev=0
+ git_tag_nearest=16.0.4.2-stable
++ git describe --always --abbrev=1000000000
+ git_tag_current=16.0.4.2-stable-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: git_tag_nearest: 16.0.4.2-stable '
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: git_tag_current: 16.0.4.2-stable-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e '
+ '[' 16.0.4.2-stable == 16.0.4.2-stable-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e ']'
+ '[' '' = true ']'
+ true '---------------------------------------------------------------------'
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test ERROR: Git reports a untagged commit! '
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: (And you are not using --allow-untagged true, which you also should not do for security reasons, unless you are a developer or advanced user and know what you are doing. Such as in case you added custom commits.) '
+ git_sanity_test_hint
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: (As a developer or advanced user you might want to use:)
--allow-untagged true --allow-uncommitted true
'
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: (See build documentation on how to verify and checkout git tags.)'
+ true '---------------------------------------------------------------------'
+ error 'Untagged commit! See above!'
+ echo '############################################################'
############################################################
+ echo 'ERROR: Untagged commit! See above!'
ERROR: Untagged commit! See above!
+ echo '############################################################'
############################################################
+ error_reason='Untagged commit! See above!'
+ error_ 'See above! (There should be a bold, red message surrounded by blue hashtags (#).)'
pre: line 43: error_: command not found
++ errorhandlergeneral ERR
++ last_failed_exit_code=127
++ last_failed_bash_command='error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ true 'INFO: Middle of function errorhandlergeneral of ././build-steps.d/1100_sanity-tests.'
++ errorhandlerprocessshared ERR
++ last_script=././build-steps.d/1100_sanity-tests
++ trap_signal_type_previous=
++ '[' '' = '' ']'
++ trap_signal_type_previous=unset
++ trap_signal_type_last=ERR
++ whonix_build_error_counter=1
+++ benchmarktimeend 1653553165
++++ date +%s
+++ benchmarktimeend=1653553166
+++ benchmark_took_seconds=1
++++ convertsecs 1
++++ local h m s
++++ (( h=1/3600 ))
++++ true
++++ (( m=(1%3600)/60 ))
++++ true
++++ (( s=1%60 ))
++++ printf '%02d:%02d:%02d\n' 0 0 1
+++ echo 00:00:01
++ benchmark_took_time=00:00:01
++ local first
++ read -r first _
++ processbacktracefunction
++ true 'INFO: BEGIN: processbacktracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : processbacktracefunction'
++ functiontracefunction
++ true 'INFO: BEGIN: functiontracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : functiontracefunction'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ true '
############################################################
ERROR in ././build-steps.d/1100_sanity-tests detected!

dist_build_version: 16.0.4.2-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
whonix_build_error_counter: 1
benchmark: 00:00:01
last_failed_exit_code: 127
trap_signal_type_previous: unset
trap_signal_type_last    : ERR

process_backtrace_result:
1: : init
2: : sshd: /usr/sbin/sshd -D [listener] 0 of 10-100 startups
3: : sshd: user [priv]
4: : sshd: user@pts/0
5: : -bash
6: : sudo ./whonix_build --flavor whonix-gateway-cli --target root --build
7: : /bin/bash ./whonix_build --flavor whonix-gateway-cli --target root --build
8: : /bin/bash ././build-steps.d/1100_sanity-tests

function_trace_result:
main (line number: 147)
main (line number: 144)
user@host:~/Whonix_Install/Whonix/Whonix$ sudo ./whonix_build --flavor whonix-gateway-cli --target root --build
+ set -e
+ true 'INFO: Currently running script: ./whonix_build --flavor' whonix-gateway-cli --target root --build
+++ dirname ./whonix_build
++ cd .
++ pwd
+ MYDIR=/home/user/Whonix_Install/Whonix/Whonix
+ cd /home/user/Whonix_Install/Whonix/Whonix
+ source ./help-steps/pre
++ '[' '!' '' = true ']'
++ set +x
+ source ./help-steps/colors
++ '[' '!' '' = true ']'
++ colors
++ '[' xterm = '' ']'
++ [[ -t 2 ]]
++ export whonix_build_already_defined_colors=true
++ whonix_build_already_defined_colors=true
+ trap error_handler_whonix_build_one ERR
+ export WHONIX_BUILD_ONE_SCRIPT_STARTED=1
+ WHONIX_BUILD_ONE_SCRIPT_STARTED=1
+ main --flavor whonix-gateway-cli --target root --build
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ args='--flavor whonix-gateway-cli --target root --build'
+ whonix_build_preparation --flavor whonix-gateway-cli --target root --build
+ cd help-steps
+ source parse-cmd
+ whonix_build_one_parse_cmd --flavor whonix-gateway-cli --target root --build
+ '[' '!' '' = 1 ']'
+ '[' '--flavor whonix-gateway-cli --target root --build' = '' ']'
+ local build_machines_counter=0
+ local build_target_counter=0
+ :
+ case $1 in
+ true 'INFO: --flavor whonix-gateway-cli chosen.'
+ WHONIX_BUILD_FLAVOR=whonix-gateway-cli
+ export WHONIX_BUILD_FLAVOR
+ '[' whonix-gateway-cli = whonix-gateway-xfce ']'
+ '[' whonix-gateway-cli = whonix-gateway-rpi ']'
+ '[' whonix-gateway-cli = whonix-gateway-cli ']'
+ build_machines_counter=1
+ shift 2
+ :
+ case $1 in
+ true 'INFO: --target root chosen.'
+ '[' root = virtualbox ']'
+ '[' root = root ']'
+ build_target_counter=1
+ export ANON_BUILD_INSTALL_TO_ROOT=1
+ ANON_BUILD_INSTALL_TO_ROOT=1
+ shift 2
+ :
+ case $1 in
+ export WHONIX_BUILD_BUILD=1
+ WHONIX_BUILD_BUILD=1
+ shift
+ :
+ case $1 in
+ '[' '' = '' ']'
+ true
+ break
+ '[' -n '' ']'
+ BUILD_INITRAMFS_PKGS=initramfs-tools
+ '[' '' = i386 ']'
+ '[' '' = arm64 ']'
+ '[' -n '' ']'
+ BUILD_TARGET_ARCH=amd64
+ '[' -n '' ']'
+ BUILD_KERNEL_PKGS=linux-image-amd64
+ '[' -n '' ']'
+ BUILD_HEADER_PKGS=linux-headers-amd64
+ '[' -n '' ']'
+ target_architecture_pretty_name=Intel_AMD64
+ export BUILD_INITRAMFS_PKGS
+ export BUILD_TARGET_ARCH
+ export BUILD_KERNEL_PKGS
+ export BUILD_HEADER_PKGS
+ export target_architecture_pretty_name
+ echo 'INFO: BUILD_INITRAMFS_PKGS (--initramfs): initramfs-tools'
INFO: BUILD_INITRAMFS_PKGS (--initramfs): initramfs-tools
+ echo 'INFO: BUILD_TARGET_ARCH         (--arch): amd64'
INFO: BUILD_TARGET_ARCH         (--arch): amd64
+ echo 'INFO: BUILD_KERNEL_PKGS       (--kernel): linux-image-amd64'
INFO: BUILD_KERNEL_PKGS       (--kernel): linux-image-amd64
+ echo 'INFO: BUILD_HEADER_PKGS      (--headers): linux-headers-amd64'
INFO: BUILD_HEADER_PKGS      (--headers): linux-headers-amd64
+ '[' '' = '' ']'
+ echo 'INFO: No --connection type '\''clearnet'\'' or '\''onion'\'' has been chosen. Defaulting whonix_build_sources_clearnet_or_onion to clearnet.
(Alternative value would be '\''onion'\''.)'
INFO: No --connection type 'clearnet' or 'onion' has been chosen. Defaulting whonix_build_sources_clearnet_or_onion to clearnet.
(Alternative value would be 'onion'.)
+ export whonix_build_sources_clearnet_or_onion=clearnet
+ whonix_build_sources_clearnet_or_onion=clearnet
+ '[' '!' '' = 1 ']'
+ '[' '!' 1 = 1 ']'
+ '[' 1 -gt 1 ']'
+ '[' 1 -le 0 ']'
+ '[' 1 = 1 ']'
+ true
+ '[' 1 = 1 ']'
+ '[' 1 -gt 1 ']'
+ export whonix_build_one_parsed=1
+ whonix_build_one_parsed=1
+ cd ..
+ trap error_handler_whonix_build_one ERR
+ trap - INT
+ trap - TERM
+ '[' '' = 1 ']'
+ '[' 1 = 1 ']'
+ whonix_build_machine
+ run-parts --verbose --test ./build-steps.d
./build-steps.d/1100_sanity-tests
./build-steps.d/1120_prepare-build-machine
./build-steps.d/1130_cowbuilder-setup
./build-steps.d/1150_export-libvirt-xml
./build-steps.d/1200_create-debian-packages
./build-steps.d/1300_create-raw-image
./build-steps.d/1700_install-packages
./build-steps.d/1800_copy_vms_into_raw
./build-steps.d/2300_run-chroot-scripts-post-d
./build-steps.d/2350_zerofree-raw
./build-steps.d/2375_build-arm64-fs
./build-steps.d/2376_export-utm-packages
./build-steps.d/2400_convert-raw-to-qcow2
./build-steps.d/2500_convert-raw-to-vdi
./build-steps.d/2550_convert-raw-to-iso
./build-steps.d/2600_create-vbox-vm
./build-steps.d/2700_create-vm-text
./build-steps.d/2800_create-report
+ for whonix_build_one_build_step_current in ./build-steps.d/*
+ '[' -x ./build-steps.d/1100_sanity-tests ']'
+ '[' s = '~' ']'
+ echo ./build-steps.d/1100_sanity-tests
+ grep -q .dpkg-
+ true '############################################################'
+ true '############################################################'
+ true '############################################################'
+ true 'INFO: BEGIN: whonix_build_one_build_step_current: ./build-steps.d/1100_sanity-tests'
+ ././build-steps.d/1100_sanity-tests
+ set -e
+ true 'INFO: Currently running script: ././build-steps.d/1100_sanity-tests '
+++ dirname ././build-steps.d/1100_sanity-tests
++ cd ././build-steps.d
++ pwd
+ MYDIR=/home/user/Whonix_Install/Whonix/Whonix/build-steps.d
+ cd /home/user/Whonix_Install/Whonix/Whonix/build-steps.d
+ cd ..
+ cd help-steps
+ source pre
++ '[' '!' '' = true ']'
++ set +x
+ source colors
++ '[' '!' true = true ']'
+ source variables
++ '[' '!' '' = true ']'
++ set +x
INFO: Setting... export UWT_DEV_PASSTHROUGH="1"
INFO: Variable dist_build_version was unset. Auto detected. Set to: 16.0.4.2-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
++ true 'INFO: Currently running script: ././build-steps.d/1100_sanity-tests '
++ true 'INFO: LD_PRELOAD: '
+ cd /home/user/Whonix_Install/Whonix/Whonix/help-steps
+ cd ..
+ main
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ check-source-folder-permissions
+ true 'INFO: PWD: /home/user/Whonix_Install/Whonix/Whonix '
++ stat -c %U ././build-steps.d/1100_sanity-tests
+ stat_output_owner=user
++ stat -c %G ././build-steps.d/1100_sanity-tests
+ stat_output_group=user
+ '[' user = root ']'
+ '[' user = root ']'
+ check-copy-vms-into-raw
+ '[' '' = 1 ']'
+ '[' gateway = kicksecure ']'
+ '[' '!' '' = true ']'
+ return 0
+ check-virtualbox-vm-exists
+ '[' '' = 1 ']'
+ '[' '!' '' = true ']'
+ return 0
+ check_required_packages_installed
+ local required_packages_list required_package_item
+ local 'required_packages_list=git time curl apt-cacher-ng lsb-release fakeroot fasttrack-archive-keyring'
+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' git
1:2.30.2-1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' time
1.9-0.1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' curl
7.74.0-1.3+deb11u1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' apt-cacher-ng
3.6.4-1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' lsb-release
11.1.0+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' fakeroot
1.25.3-1.1+ for required_package_item in $required_packages_list
+ dpkg-query --show '--showformat=${Version}' fasttrack-archive-keyring
2020.12.19+ signing_key
+ true 'INFO: GPG_AGENT_INFO: '
+ '[' false = false ']'
+ true
+ source /home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test
++ [[ /home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test != \.\/\.\/\b\u\i\l\d\-\s\t\e\p\s\.\d\/\1\1\0\0\_\s\a\n\i\t\y\-\t\e\s\t\s ]]
++ script_was_sourced=true
++ '[' true = false ']'
++ '[' true = false ']'
+ git_sanity_test_main
+ git_sanity_test_parse_cmd
+ true 'INFO: git_sanity_test_parse_cmd | args: '
+ :
+ case $1 in
+ break
+ git_sanity_test_check_for_untagged_commits
++ git describe --always --abbrev=0
+ git_tag_nearest=16.0.4.2-stable
++ git describe --always --abbrev=1000000000
+ git_tag_current=16.0.4.2-stable-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: git_tag_nearest: 16.0.4.2-stable '
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: git_tag_current: 16.0.4.2-stable-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e '
+ '[' 16.0.4.2-stable == 16.0.4.2-stable-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e ']'
+ '[' '' = true ']'
+ true '---------------------------------------------------------------------'
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test ERROR: Git reports a untagged commit! '
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: (And you are not using --allow-untagged true, which you also should not do for security reasons, unless you are a developer or advanced user and know what you are doing. Such as in case you added custom commits.) '
+ git_sanity_test_hint
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: (As a developer or advanced user you might want to use:)
--allow-untagged true --allow-uncommitted true
'
+ true '/home/user/Whonix_Install/Whonix/Whonix/help-steps/git_sanity_test INFO: (See build documentation on how to verify and checkout git tags.)'
+ true '---------------------------------------------------------------------'
+ error 'Untagged commit! See above!'
+ echo '############################################################'
############################################################
+ echo 'ERROR: Untagged commit! See above!'
ERROR: Untagged commit! See above!
+ echo '############################################################'
############################################################
+ error_reason='Untagged commit! See above!'
+ error_ 'See above! (There should be a bold, red message surrounded by blue hashtags (#).)'
pre: line 43: error_: command not found
++ errorhandlergeneral ERR
++ last_failed_exit_code=127
++ last_failed_bash_command='error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ true 'INFO: Middle of function errorhandlergeneral of ././build-steps.d/1100_sanity-tests.'
++ errorhandlerprocessshared ERR
++ last_script=././build-steps.d/1100_sanity-tests
++ trap_signal_type_previous=
++ '[' '' = '' ']'
++ trap_signal_type_previous=unset
++ trap_signal_type_last=ERR
++ whonix_build_error_counter=1
+++ benchmarktimeend 1653553188
++++ date +%s
+++ benchmarktimeend=1653553188
+++ benchmark_took_seconds=0
++++ convertsecs 0
++++ local h m s
++++ (( h=0/3600 ))
++++ true
++++ (( m=(0%3600)/60 ))
++++ true
++++ (( s=0%60 ))
++++ true
++++ printf '%02d:%02d:%02d\n' 0 0 0
+++ echo 00:00:00
++ benchmark_took_time=00:00:00
++ local first
++ read -r first _
++ processbacktracefunction
++ true 'INFO: BEGIN: processbacktracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : processbacktracefunction'
++ functiontracefunction
++ true 'INFO: BEGIN: functiontracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : functiontracefunction'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ true '
############################################################
ERROR in ././build-steps.d/1100_sanity-tests detected!

dist_build_version: 16.0.4.2-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
whonix_build_error_counter: 1
benchmark: 00:00:00
last_failed_exit_code: 127
trap_signal_type_previous: unset
trap_signal_type_last    : ERR

process_backtrace_result:
1: : init
2: : sshd: /usr/sbin/sshd -D [listener] 0 of 10-100 startups
3: : sshd: user [priv]
4: : sshd: user@pts/0
5: : -bash
6: : sudo ./whonix_build --flavor whonix-gateway-cli --target root --build
7: : /bin/bash ./whonix_build --flavor whonix-gateway-cli --target root --build
8: : /bin/bash ././build-steps.d/1100_sanity-tests

function_trace_result:
main (line number: 147)
main (line number: 144)
git_sanity_test_main (line number: 144)
git_sanity_test_check_for_untagged_commits (line number: 102)
error (line number: 43)
errorhandlergeneral (line number: 379)
errorhandlerprocessshared (line number: 208)

Untagged commit! See above!
last_failed_bash_command: error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"
############################################################
'
++ unset error_reason
++ '[' ERR = INT ']'
++ '[' ERR = TERM ']'
++ '[' ERR = ERR ']'
++ '[' '!' 0 = 0 ']'
++ true 'INFO: whonix_build_auto_retry set to 0 (--retry-max). No auto retry.'
++ unset whonix_build_auto_retry_counter
++ true
++ ignore_error=false
++ answer=
++ '[' ERR = ERR ']'
++ '[' '' = true ']'
++ '[' -t 0 ']'
++ true 'INFO: stdin connected to terminal, using interactive error handler.'
++ true 'ERROR in ././build-steps.d/1100_sanity-tests detected!

Please have a look above (the block within ###...).

 - Please enter c and press enter to ignore the error and continue building. (Recommended against!)
 - Please press r and enter to retry.
 - Please press s and enter to open an chroot interactive shell.
 - Please press a and enter to abort.'
++ read -p 'Answer? ' answer
Answer? a
++ error_handler_do_retry=
++ interactive_chroot_shell=
++ '[' a = continue ']'
++ '[' a = c ']'
++ '[' a = s ']'
++ '[' a = shell ']'
++ '[' a = r ']'
++ '[' a = retry ']'
++ '[' a = a ']'
++ ignore_error=false
++ interactive_chroot_shell=false
++ break
++ errorhandlermaybeexit ERR
++ '[' '' = true ']'
++ '[' false = true ']'
++ abort_or_continue=Aborted
++ rm --force /etc/apt/sources.list.d/whonix_temp.list
++ rm --force /run/package_manager_lock
++ '[' false = true ']'
++ '[' ERR = INT ']'
++ '[' ERR = TERM ']'
++ trap - EXIT
++ true 'INFO: Now exiting from ././build-steps.d/1100_sanity-tests (because error was detected, see above) with exit code 1.'
++ exit 1
++ error_handler_whonix_build_one
++ true 'ERROR in ./whonix_build'
++ true 'BASH_COMMAND: "./$whonix_build_one_build_step_current"'
++ true 'whonix_build_one_build_step_current: ./build-steps.d/1100_sanity-tests'
++ true 'args: --flavor whonix-gateway-cli --target root --build'
++ true 'INFO: Now exiting from ./whonix_build (because error was detected, see above).'
++ exit 1
+ exithandler
+ local exit_code=1
+ '[' '!' 1 = 0 ']'
+ exit 1

So I found that at I could try allow-untagged true --allow-uncommitted true which is not safe (read below).
However, when I try it, it gives me a new error:

> # This system was installed using small removable media
> # (e.g. netinst, live or single CD). The matching "deb cdrom"
> # entries were disabled at the end of the installation process.
> # For information about how to configure apt package sources,
> # see the sources.list(5) manual.
> deb https://deb.debian.org/debian bullseye main contrib non-free
+ error 'ERROR: Host /home/user/Whonix_Install/Whonix/Whonix/build_sources/debian_stable_current_clearnet.list does not match chroot /etc/apt/sources.list'
+ echo '############################################################'
############################################################
+ echo 'ERROR: ERROR: Host /home/user/Whonix_Install/Whonix/Whonix/build_sources/debian_stable_current_clearnet.list does not match chroot /etc/apt/sources.list'
ERROR: ERROR: Host /home/user/Whonix_Install/Whonix/Whonix/build_sources/debian_stable_current_clearnet.list does not match chroot /etc/apt/sources.list
+ echo '############################################################'
############################################################
+ error_reason='ERROR: Host /home/user/Whonix_Install/Whonix/Whonix/build_sources/debian_stable_current_clearnet.list does not match chroot /etc/apt/sources.list'
+ error_ 'See above! (There should be a bold, red message surrounded by blue hashtags (#).)'
/home/user/Whonix_Install/Whonix/Whonix/help-steps/pre: line 43: error_: command not found
++ error_handler_chroot-raw
+++ caller
++ : echo '
BASH_COMMAND: error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"
ERROR /home/user/Whonix_Install/Whonix/Whonix/help-steps/chroot-raw: | caller: 43 /home/user/Whonix_Install/Whonix/Whonix/help-steps/pre
'
++ exit 1
+ exithandler
+ local exit_code=1
+ '[' '!' 1 = 0 ']'
+ exit 1
++ errorhandlerunchrootunpreventunmount ERR
++ last_failed_exit_code=1
++ last_failed_bash_command='"$WHONIX_SOURCE_HELP_STEPS_FOLDER/chroot-raw"'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ errorhandlerprocessshared ERR
++ last_script=././build-steps.d/1700_install-packages
++ trap_signal_type_previous=
++ '[' '' = '' ']'
++ trap_signal_type_previous=unset
++ trap_signal_type_last=ERR
++ whonix_build_error_counter=1
+++ benchmarktimeend 1653556884
++++ date +%s
+++ benchmarktimeend=1653556887
+++ benchmark_took_seconds=3
++++ convertsecs 3
++++ local h m s
++++ (( h=3/3600 ))
++++ true
++++ (( m=(3%3600)/60 ))
++++ true
++++ (( s=3%60 ))
++++ printf '%02d:%02d:%02d\n' 0 0 3
+++ echo 00:00:03
++ benchmark_took_time=00:00:03
++ local first
++ read -r first _
++ processbacktracefunction
++ true 'INFO: BEGIN: processbacktracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : processbacktracefunction'
++ functiontracefunction
++ true 'INFO: BEGIN: functiontracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : functiontracefunction'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ true '
############################################################
ERROR in ././build-steps.d/1700_install-packages detected!

dist_build_version: 16.0.4.2-22-g0f23fa3778b48a892468e2d9ef5c5625c19c017e
whonix_build_error_counter: 1
benchmark: 00:00:03
last_failed_exit_code: 1
trap_signal_type_previous: unset
trap_signal_type_last    : ERR

process_backtrace_result:
1: : init
2: : sshd: /usr/sbin/sshd -D [listener] 0 of 10-100 startups
3: : sshd: user [priv]
4: : sshd: user@pts/0
5: : -bash
6: : sudo ./whonix_build --flavor whonix-gateway-xfce --allow-untagged true --allow-uncommitted true --target root --build
7: : /bin/bash ./whonix_build --flavor whonix-gateway-xfce --allow-untagged true --allow-uncommitted true --target root --build
8: : /bin/bash ././build-steps.d/1700_install-packages

function_trace_result:
main (line number: 471)
main (line number: 467)
install-packages (line number: 215)
errorhandlerunchrootunpreventunmount (line number: 389)
errorhandlerprocessshared (line number: 208)


last_failed_bash_command: "$WHONIX_SOURCE_HELP_STEPS_FOLDER/chroot-raw"
############################################################
'
++ unset error_reason
++ '[' ERR = INT ']'
++ '[' ERR = TERM ']'
++ '[' ERR = ERR ']'
++ '[' '!' 0 = 0 ']'
++ true 'INFO: whonix_build_auto_retry set to 0 (--retry-max). No auto retry.'
++ unset whonix_build_auto_retry_counter
++ true
++ ignore_error=false
++ answer=
++ '[' ERR = ERR ']'
++ '[' '' = true ']'
++ '[' -t 0 ']'
++ true 'INFO: stdin connected to terminal, using interactive error handler.'
++ true 'ERROR in ././build-steps.d/1700_install-packages detected!

Please have a look above (the block within ###...).

 - Please enter c and press enter to ignore the error and continue building. (Recommended against!)
 - Please press r and enter to retry.
 - Please press s and enter to open an chroot interactive shell.
 - Please press a and enter to abort.'
++ read -p 'Answer? ' answer
Answer? ++ error_handler_do_retry=
++ interactive_chroot_shell=
++ '[' '' = continue ']'
++ '[' '' = c ']'
++ '[' '' = s ']'
++ '[' '' = shell ']'
++ '[' '' = r ']'
++ '[' '' = retry ']'
++ '[' '' = a ']'
++ true 'ERROR: Invalid answer!'
++ continue
++ true
++ ignore_error=false
++ answer=
++ '[' ERR = ERR ']'
++ '[' '' = true ']'
++ '[' -t 0 ']'
++ true 'INFO: stdin connected to terminal, using interactive error handler.'
++ true 'ERROR in ././build-steps.d/1700_install-packages detected!

Please have a look above (the block within ###...).

 - Please enter c and press enter to ignore the error and continue building. (Recommended against!)
 - Please press r and enter to retry.
 - Please press s and enter to open an chroot interactive shell.
 - Please press a and enter to abort.'
++ read -p 'Answer? ' answer
Answer?
+ grep '

The post about allow-untagged true --allow-uncommitted true:

It’s happening because git master contains newer packages than the tag you’re trying to build.

The extraneous files (from perspective of the tag you try to build) are reported. The output of the build script already explains how to remove these.

This removal step isn’t automated since this could wipe out user custom modifications.

I try figure out how to git clone a specific git tag so these extraneous packages issue won’t happen.

Also build 15.0.0.4.9-stable instead. Just previously only 15.0.0.4.9-developers-only existed. Forgot to create an identical tag with the same name.

No good idea for most users. These extraneous packages do not point to any signed (and verified) git commit or git tag. These extra folders could be compromised in transfer.

Only by understanding what causes –allow-untagged true --allow-uncommitted true to proceed it is safe to proceed such as when having manually added/modified files but not committed or added commits on top of when trying to build from non-tagged commits.

Other steps were forgotten:

https://www.whonix.org/wiki/Dev/Build_Documentation/Physical_Isolation#Choose_Version

Please follow documentation from top to bottom and these issues shouldn’t happen.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Contributors] [Investors] [Priority Support] [Professional Support]